Loading...
Searching...
No Matches
EST_FringeServer Class Reference

`#include <include/EST_FringeServer.h>`

Inheritance diagram for EST_FringeServer:
[legend]
Collaboration diagram for EST_FringeServer:
[legend]

## Classes

class | ResultHandler

## Public Member Functions

| EST_FringeServer (EST_String name="fringe")
| Create a server connection by name, defaulting to "fringe", the default server name.
| EST_FringeServer (EST_String name, ostream *trace)
| EST_FringeServer (EST_String hostname, int port)
| Create a server connection by explicitly saying where to connect to.
| EST_FringeServer (EST_String hostname, int port, ostream *trace)
| ~EST_FringeServer ()
| Destroy the connection.
virtual bool | parse_command (const EST_String command, EST_String &package, EST_String &operation, Args &arguments)
virtual EST_String | build_command (const EST_String package, const EST_String operation, const Args &arguments)
virtual bool | parse_result (const EST_String resultString, Result &res)
virtual EST_String | build_result (const Result &res)
Public Member Functions inherited from EST_Server
| EST_Server (EST_String name, EST_String type)
| Create a server connection by name, defaulting to "fringe", the default server name.
| EST_Server (EST_String name, EST_String type, ostream *trace)
| EST_Server (EST_String hostname, int port)
| Create a server connection by explicitly saying where to connect to.
| EST_Server (EST_String hostname, int port, ostream *trace)
| EST_Server (Mode mode, EST_String name, EST_String type)
| EST_Server (Mode mode, EST_String name, EST_String type, ostream *trace)
virtual | ~EST_Server ()
| Destroy the connection.
const EST_String | name (void) const
| Name of server.
const EST_String | type (void) const
| Type of server.
const EST_String | hostname (void) const
| Domain name of the server.
const EST_String | address (void) const
| Dotted numeric IP address.
const EST_String | servername (void) const
| Domain name or IP number.
int | port (void) const
| Port number.
EST_connect_status | connect (void)
| Connect to the server.
bool | connected (void)
| Are we connected at the moment?
EST_connect_status | disconnect (void)
| Disconnect.
bool | execute (const EST_String package, const EST_String operation, const Args &arguments, ResultHandler &handler)
bool | execute (const EST_String command, ResultHandler &handler)
void | run (RequestHandler &handler)

## Additional Inherited Members

Public Types inherited from EST_Server
enum | Mode { sm_unknown = 0 , sm_client = 1 , sm_sequential = 2 , sm_interleaved =3 , sm_fork = 4 , sm_threded = 5 }
| What type of server is this. More...
typedef EST_Features | Args
typedef EST_Features | Result
Protected Member Functions inherited from EST_Server
void | write (BufferedSocket &s, const EST_String string, const EST_String term="")
EST_String | read_data (BufferedSocket &s, const EST_String end, int &eof)
bool | check_cookie (BufferedSocket &socket)
bool | process_command (BufferedSocket &socket, EST_String command, RequestHandler &handler)
void | handle_client (BufferedSocket &socket, RequestHandler &handler)
void | return_error (BufferedSocket &socket, EST_String err)
void | return_value (BufferedSocket &socket, Result &res, bool last)
void | run_sequential (RequestHandler &handler)

## Detailed Description

A class providing mechanisms to talk to fringe.

Author
  Richard Caley rjc@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk

Version

Id
  EST_FringeServer.h,v 1.2 2001/04/04 13:11:27 awb Exp

Definition at line 48 of file EST_FringeServer.h.

## Member Function Documentation

## parse_command()

virtual bool EST_FringeServer::parse_command | ( | const EST_String | command,
|  | EST_String & | package,
|  | EST_String & | operation,
|  | Args & | arguments )

virtual

Reimplemented from EST_Server.

## build_command()

virtual EST_String EST_FringeServer::build_command | ( | const EST_String | package,
|  | const EST_String | operation,
|  | const Args & | arguments )

virtual

Reimplemented from EST_Server.

## parse_result()

virtual bool EST_FringeServer::parse_result | ( | const EST_String | resultString,
|  | Result & | res )

virtual

Reimplemented from EST_Server.

## build_result()

virtual EST_String EST_FringeServer::build_result | ( | const Result & | res | ) |

virtual

Reimplemented from EST_Server.

The documentation for this class was generated from the following file:

- include/EST_FringeServer.h